#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	25.04.0
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kio-extras
Summary:	kio-extras
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	66e83d467a5dc20b73af3231108204f9
URL:		https://www.kde.org/
BuildRequires:	OpenEXR-devel >= 3.0.5
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= 5.4.0
BuildRequires:	Qt6Widgets-devel >= 5.4.0
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	kdsoap-qt6-devel >= 2.2.0
BuildRequires:	kdsoap-ws-discovery-client-qt6-devel >= 0.3.0
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-karchive-devel >= %{kframever}
BuildRequires:	kf6-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf6-kdnssd-devel >= %{kframever}
BuildRequires:	kf6-kguiaddons-devel >= %{kframever}
BuildRequires:	kf6-kio-devel >= %{kframever}
BuildRequires:	kf6-solid-devel >= %{kframever}
BuildRequires:	kf6-syntax-highlighting-devel >= %{kframever}
BuildRequires:	kp6-plasma-activities-devel
BuildRequires:	kp6-plasma-activities-stats-devel
BuildRequires:	libsmbclient-devel
BuildRequires:	libtirpc-devel > 1.3.2
BuildRequires:	ninja
BuildRequires:	phonon-qt6-devel
BuildRequires:	qcoro-qt6-devel >= 0.10.0
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
kio-extras.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ka5-%{kaname}-devel < %{version}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/filenamesearchmodule.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/smbwatcher.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kded/wpad-detector.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfileitemaction/kactivitymanagerd_fileitem_linking_plugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/activities.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/archive.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/filter.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/fish.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/info.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/man.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/mtp.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/nfs.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/recentlyused.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/sftp.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/smb.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/thumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/kio_filenamesearch.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kiod/kmtpd.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kfileaudiopreview.so
%attr(755,root,root) %{_prefix}/libexec/kf6/smbnotifier
%attr(755,root,root) %{_prefix}/libexec/wpad-detector-helper
%{_datadir}/config.kcfg/jpegcreatorsettings5.kcfg
%dir %{_datadir}/kio_info
%{_datadir}/kio_info/kde-info2html
%{_datadir}/kio_info/kde-info2html.conf
%dir %{_datadir}/konqueror
%dir %{_datadir}/konqueror/dirtree
%dir %{_datadir}/konqueror/dirtree/remote
%{_datadir}/konqueror/dirtree/remote/mtp-network.desktop
%{_datadir}/konqueror/dirtree/remote/smb-network.desktop
%{_datadir}/remoteview/mtp-network.desktop
%{_datadir}/remoteview/smb-network.desktop
%{_datadir}/dbus-1/services/org.kde.kmtpd5.service
%{_datadir}/solid/actions/solid_mtp.desktop
%dir %{_libdir}/qt6/plugins/kf6/thumbcreator
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/audiothumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/comicbookthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/cursorthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/djvuthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/ebookthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/exrthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/imagethumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/jpegthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/opendocumentthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/svgthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/textthumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/windowsexethumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/windowsimagethumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/kraorathumbnail.so
%{_datadir}/mime/packages/org.kde.kio.smb.xml
%dir %{_libdir}/qt6/plugins/kf6/kfileitemaction
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kfileitemaction/forgetfileitemaction.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/kio/afc.so
%{_datadir}/remoteview/afc-network.desktop
%{_datadir}/solid/actions/solid_afc.desktop
%ghost %{_libdir}/libkioarchive6.so.6
%attr(755,root,root) %{_libdir}/libkioarchive6.so.*.*
%attr(755,root,root) %{_libdir}/qt6/plugins/kcm_trash.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/thumbcreator/directorythumbnail.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_netpref.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_proxy.so
%attr(755,root,root) %{_libdir}/qt6/plugins/plasma/kcms/systemsettings_qwidgets/kcm_webshortcuts.so
%{_desktopdir}/kcm_netpref.desktop
%{_desktopdir}/kcm_proxy.desktop
%{_desktopdir}/kcm_trash.desktop
%{_desktopdir}/kcm_webshortcuts.desktop
%{_datadir}/qlogging-categories6/kio-extras.categories
%{_datadir}/qlogging-categories6/kio-extras.renamecategories
%dir %{_datadir}/kio_filenamesearch
%{_datadir}/kio_filenamesearch/kio-filenamesearch-grep

%files devel
%defattr(644,root,root,755)
%{_includedir}/KioArchive6
%{_libdir}/cmake/KioArchive6
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kio-extras.git;a=log;h=master

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2415fe6
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7c70c2b
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a5424a1
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 262058f
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 5f47c07
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ae05a9d
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7fde949
- updated to 24.08.3

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 94aeeb3
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 70d2813
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ca472dd
- updated to 24.08.0

* Sat Aug 17 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 812fba4
- updated url to trigger source download

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dcd5e86
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b81d401
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 75657f9
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4a3f6c6
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 65efa04
- updated to 24.02.1

* Sun Mar 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9414168
- updated to 24.02.0

